<script>
	import SVG from "@/components/svg.svelte"

	import { isLight } from "@/stores/static"

	export let btnText = ""
	export let link = ""
	export let target = ""
	export let size = "normal"
	export let noStripes = false

	$: hasButton = !!btnText && !!link
</script>

<template lang="pug">
.heading.is-flex.is-align-items-stretch.is-justify-content-flex-start( class='{size}' )
	+if('!noStripes')
		.stripes.is-flex.is-align-items-stretch.is-justify-content-center
	p( class:dark='{!$isLight}' )
		slot
	+if('hasButton')
		a.button.is-flex.is-align-items-center.is-justify-content-center( href='{link}' target='{target}' ) 
			span {btnText}
			span.icon.is-flex.is-align-items-center.is-justify-content-center: SVG( folder="icons" name="arrow-right" )
</template>

<style lang="scss">
.stripes {
	margin-right: .5rem;
	max-height: 1.5rem;
	&::before,
	&::after {
		content: "";
		display: block;
		background: $primary;
	}
	&::before {
		width: .25rem;
	}
	&::after {
		width: .5rem;
		margin-left: .125rem;
	}
}

p {
	font-weight: 500;
	margin-right: .5rem;
	text-transform: uppercase;
	transition: color .2s ease-in-out;
	&.dark {
		color: $white;
	}
}

.button {
	padding: 0 1rem;
	background: $primary;
	transition: background .2s ease-in-out;
	span {
		font-size: 1.125rem;
		font-weight: 400;
	}
	.icon {
		width: 1rem;
		margin-left: .5rem;
		:global(svg) {
			width: 1rem;
			height: 1rem;
		}
	}
	&:hover {
		background: $primary-light;
		span {
			color: $black;
		}
	}
	&:active {
		background: $primary;
	}
}

.small {
	p {
		font-size: 1.125rem;
	}
}

.normal {
	p {
		font-size: 1.5rem;
		@include max_tablet {
			font-size: 2rem;
		}
	}
}
</style>